jQuery(function($){

  /**
  * Order Tonos in List trigger
  */
  jQuery('.alexandria_tonos_order_button').on('click', function(e){

    e.preventDefault();

    jQuery('.alexandria_tonos_order_button').toggleClass('active');


    if(jQuery('.alexandria_tonos_order_button').hasClass('active')) {

      jQuery('.alexandria_tonos_order_button').text(translated_strings.ordering_string);

      alexandria_conversation_builder_show_admin_notice( translated_strings.order_notice_string );

      jQuery('table.posts #the-list').sortable({
        'items': 'tr',
        'axis': 'y',
        'helper': alexandria_conversation_builder_fix_helper,
        'update': function (e, ui) {

          jQuery.post(translated_strings.admin_url, {
            action: 'alexandria_orden_tonos_ajax',
            order: jQuery('#the-list').sortable('serialize'),
          });

          jQuery( ".order" ).each(function(key, item) {
            var sort_order = key + 1;
            jQuery(this).text(sort_order + '');
          });

        }
      });

      jQuery( "table.posts #the-list" ).sortable( "option", "disabled", false );
      jQuery( "table.posts #the-list" ).disableSelection();

    } else {

      jQuery('.custom-notice').remove();

      jQuery('.alexandria_tonos_order_button').text(translated_strings.order_string);

      jQuery('table.posts #the-list').sortable("disable");
      return false;

    }

  });


  /**
  * Order Interlocutors in List trigger
  */
  jQuery('.alexandria_interlocutors_order_button').on('click', function(e){

    e.preventDefault();

    jQuery('.alexandria_interlocutors_order_button').toggleClass('active');

    if(jQuery('.alexandria_interlocutors_order_button').hasClass('active')) {

      jQuery('.alexandria_interlocutors_order_button').text(translated_strings.ordering_string);

      alexandria_conversation_builder_show_admin_notice( translated_strings.order_notice_string );

      jQuery('table.posts #the-list').sortable({
        'items': 'tr',
        'axis': 'y',
        'helper': alexandria_conversation_builder_fix_helper,
        'update': function (e, ui) {

          jQuery.post(translated_strings.admin_url, {
            action: 'alexandria_orden_interlocutors_ajax',
            order: jQuery('#the-list').sortable('serialize'),
          });

          jQuery( ".order" ).each(function(key, item) {
            var sort_order = key + 1;
            jQuery(this).text(sort_order + '');
          });

        }
      });

      jQuery( "table.posts #the-list" ).sortable( "option", "disabled", false );
      jQuery( "table.posts #the-list" ).disableSelection();

    } else {

      jQuery('.custom-notice').remove();

      jQuery('.alexandria_interlocutors_order_button').text(translated_strings.order_string);

      jQuery('table.posts #the-list').sortable("disable");
      return false;

    }

  });

  /**
  * Create and show a dismissible admin notice
  */
  function alexandria_conversation_builder_show_admin_notice( msg ) {

    var div = document.createElement( 'div' );
    div.classList.add( 'notice', 'notice-warning', 'is-dismissible', 'custom-notice' );

    var p = document.createElement( 'p' );
    p.appendChild( document.createTextNode( msg ) );

    div.appendChild( p );

    var b = document.createElement( 'button' );
    b.setAttribute( 'type', 'button' );
    b.classList.add( 'notice-dismiss' );

    var bSpan = document.createElement( 'span' );
    bSpan.classList.add( 'screen-reader-text' );
    bSpan.appendChild( document.createTextNode( 'Dismiss this notice' ) );
    b.appendChild( bSpan );

    div.appendChild( b );

    var item = document.getElementsByClassName( 'wp-header-end' )[0];
    item.parentNode.insertBefore( div, item.nextSibling);

    b.addEventListener( 'click', function () {
      div.parentNode.removeChild( div );
    });

  }

  function alexandria_conversation_builder_fix_helper(e, ui) {

    ui.children().children().each(function () {
      jQuery(this).width(jQuery(this).width());
    });

    return ui;

  }

  /****
  * Fix for table breaking
  */
  jQuery(window).load(function () {

    // make the array for the sizes
    var td_array = new Array();
    var i = 0;

    jQuery('#the-list tr:first-child').find('td').each(function () {

      td_array[i] = jQuery(this).outerWidth();

      i += 1;
    });

    jQuery('#the-list').find('tr').each(function () {
      var j = 0;
      jQuery(this).find('td').each(function () {

        var paddingx = parseInt(jQuery(this).css('padding-left').replace('px', '')) + parseInt(jQuery(this).css('padding-right').replace('px', ''));
        jQuery(this).width(td_array[j] - paddingx);

        j += 1;
      });
    });

    var y = 0;

    // check if there are no items in the table
    if(jQuery('#the-list > tr.no-items').length == 0){
      jQuery('#the-list').parent().find('thead').find('th').each(function () {

        var paddingx = parseInt(jQuery(this).css('padding-left').replace('px', '')) + parseInt(jQuery(this).css('padding-right').replace('px', ''));
        jQuery(this).width(td_array[y] - paddingx);

        y += 1;
      });

      var z = 0;
      jQuery('#the-list').parent().find('tfoot').find('th').each(function () {

        var paddingx = parseInt(jQuery(this).css('padding-left').replace('px', '')) + parseInt(jQuery(this).css('padding-right').replace('px', ''));
        jQuery(this).width(td_array[z] - paddingx);

        z += 1;
      });
    }

  });

});