<?php

/**
 * Conversation Builder inner template.
 *
 * @package Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/public/templates
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

$plugin_name = "alexandria-conversation-builder";

$header_bg_color = get_option( $plugin_name.'_color_barra_cabecera_interior' ) ?  get_option( $plugin_name.'_color_barra_cabecera_interior' ) : '#6628DD';

$header_text_color = get_option( $plugin_name .'_color_texto_barra_cabecera_interior' ) ?  get_option( $plugin_name .'_color_texto_barra_cabecera_interior' ) : '#FFFFFF';

?>
<style>
	.alexandria-conversation-builder-sticky-header {
		background-color: <?php echo $header_bg_color; ?>;
	}

	.alexandria-close-cross::before {
		background-color: <?php echo $header_text_color; ?> !important;
	}

	.alexandria-close-cross::after {
		background-color: <?php echo $header_text_color; ?> !important;
	}

	.alexandria-title-text {
		color: <?php echo $header_text_color; ?>;
	}
</style>

<div class="alexandria-conversation-builder-sticky-header">

	<div class="alexandria-main-title-wrapper">

		<div class="alexandria-main-title-inner">

			<div class="alexandria-title">
				<h1 class="alexandria-title-text">
					<?php echo get_option( $plugin_name.'_texto_barra_cabecera_interior' ); ?>
				</h1>
			</div>

			<?php $url = alexandria_conversation_builder_get_url_shortcode(); ?>

			<div class="alexandria-title-close">
				<a id="alexandria_close_button" href="<?php echo $url; ?>">
					<span class="alexandria-close-cross"></span>
				</a>
			</div>

		</div>

	</div>

</div>